// To parse required this JSON data, do
//
//     final groupApi = groupApiFromJson(jsonString);

// ignore_for_file: avoid_dynamic_calls, constant_identifier_names, unnecessary_lambdas, prefer_final_parameters

part of kitcod_uikit_flutter;

List<Communities> communitiesFromJson(String str) => List<Communities>.from(
    json.decode(str).map((x) => Communities.fromJson(x as Map<String, dynamic>))
        as Iterable<dynamic>);

class Communities {
  Communities({
    required this.uuid,
    required this.id,
    required this.statusCode,
    required this.body,
    required this.active,
    this.httpMethod,
  });

  factory Communities.fromJson(Map<String, dynamic> json) => Communities(
        uuid: json["uuid"] as String,
        id: json["id"] as String,
        httpMethod: httpMethodValues.map[json["httpMethod"]],
        statusCode: json["statusCode"] as String,
        body: CommunitiesList.fromJson(json["body"] as Map<String, dynamic>),
        active: json["active"] as bool? ?? false,
      );

  String uuid;
  String id;
  HttpMethod? httpMethod;
  String statusCode;
  CommunitiesList body;
  bool active;
}

class Tag {
  Tag({
    this.uuid,
    this.name,
    this.slug,
    this.auto,
    this.replicate,
    this.active,
  });

  factory Tag.fromJson(Map<String, dynamic> json) => Tag(
        uuid: json["uuid"] as String,
        name: json["name"] as String,
        slug: json["slug"] as String,
        auto: json["auto"] as bool? ?? false,
        replicate: json["replicate"] as bool? ?? false,
        active: json["active"] as bool? ?? false,
      );

  String? uuid;
  String? name;
  String? slug;
  bool? auto;
  bool? replicate;
  bool? active;

  Map<String, dynamic> toJson() => {
        "uuid": uuid,
        "name": name,
        "slug": slug,
        "auto": auto,
        "replicate": replicate,
        "active": active,
      };
}

enum HttpMethod { GET }

final httpMethodValues = EnumValues({"Get": HttpMethod.GET});

class CommunitiesList {
  CommunitiesList({
    required this.uuid,
    required this.createdTs,
    required this.updatedTs,
    required this.createdBy,
    required this.updatedBy,
    required this.version,
    required this.id,
    required this.accountId,
    required this.name,
    required this.handle,
    required this.communityType,
    required this.location,
    required this.status,
    required this.contentVisibilityType,
    required this.settings,
    required this.media,
    required this.eligibility,
    required this.registered,
    required this.business,
    required this.active,
    required this.description,
    this.contactPoints,
    this.hidden,
    this.sect,
    this.tags,
    this.rangeMembersCount,
    this.creationSourceType,
    this.socialConnections,
    this.metadata,
    this.verified,
    this.premium,
    this.facilities,
  });

  factory CommunitiesList.fromJson(final Map<String, dynamic> json) =>
      CommunitiesList(
        uuid: json["uuid"] as String,
        createdTs: json["createdTS"] as String,
        updatedTs: json["updatedTS"] as String,
        createdBy: json["createdBy"] as String,
        updatedBy: json["updatedBy"] as String,
        version: json["version"] as int,
        id: json["id"] as String,
        accountId: json["accountId"] as int,
        name: json["name"] as String,
        sect: json["sect"] == null ? null : json["sect"] as String,
        handle: json["handle"] as String,
        communityType: json["communityType"] as String,
        location: Location.fromJson(json["location"] as Map<String, dynamic>),
        contactPoints: json["contactPoints"] == null
            ? null
            : List<dynamic>.from(
                json["contactPoints"].map((final x) => x) as Iterable<dynamic>),
        status: json["status"] as String,
        creationSourceType: json["creationSourceType"] == null
            ? null
            : json["creationSourceType"] as String,
        rangeMembersCount: json["rangeMembersCount"] == null
            ? null
            : json["rangeMembersCount"] as int,
        contentVisibilityType: json["contentVisibilityType"] as String,
        settings: List<Setting>.from(
            // ignore: prefer_final_parameters, unnecessary_lambdas
            json["settings"].map(
                    (final x) => Setting.fromJson(x as Map<String, dynamic>))
                as Iterable<dynamic>),
        media: GroupMedia.fromJson(json["media"] as Map<String, dynamic>),
        tags: json["tags"] == null
            ? null
            : List<Tag>.from(
                json["tags"].map((x) => Tag.fromJson(x as Map<String, dynamic>))
                    as Iterable<dynamic>),
        eligibility: Eligibility.fromJson(),
        hidden:
            json["hidden"] == null ? null : json["hidden"] as bool? ?? false,
        registered: json["registered"] == null
            ? false
            : json["registered"] as bool? ?? false,
        business: json["business"] as bool? ?? false,
        active: json["active"] as bool? ?? false,
        description:
            json["description"] == null ? "" : json["description"] as String,
        facilities: json["facilities"] == null
            ? null
            : List<Facility>.from(json["facilities"].map(
                    (final x) => Facility.fromJson(x as Map<String, dynamic>))
                as Iterable<dynamic>),
        socialConnections: json["socialConnections"] == null
            ? null
            : List<SocialConnection>.from(json["socialConnections"].map(
                    (x) => SocialConnection.fromJson(x as Map<String, dynamic>))
                as Iterable<dynamic>),
        metadata: json["metadata"] == null
            ? null
            : CommunityListMetadata.fromJson(
                json["metadata"] as Map<String, dynamic>),
        verified: json["verified"] == null
            ? false
            : json["verified"] as bool? ?? false,
        premium:
            json["premium"] == null ? false : json["premium"] as bool? ?? false,
      );

  String uuid;
  String createdTs;
  String updatedTs;
  String createdBy;
  String updatedBy;
  int version;
  String id;
  int accountId;
  String name;
  String? sect;
  String handle;
  String communityType;
  Location location;
  List<dynamic>? contactPoints;
  String status;
  String? creationSourceType;
  int? rangeMembersCount;
  String contentVisibilityType;
  List<Setting> settings;
  GroupMedia media;
  List<dynamic>? tags;
  Eligibility eligibility;
  bool? hidden;
  bool registered;
  bool business;
  bool active;
  String description;
  List<Facility>? facilities;
  List<SocialConnection>? socialConnections;
  CommunityListMetadata? metadata;
  bool? verified;
  bool? premium;
  Map<String, dynamic> toJson() => {
        "uuid": uuid,
        "createdTS": createdTs,
        "updatedTS": updatedTs,
        "createdBy": createdBy,
        "updatedBy": updatedBy,
        "version": version,
        "id": id,
        "accountId": accountId,
        "name": name,
        "sect": sect,
        "handle": handle,
        "communityType": communityType,
        "location": location.toJson(),
        "contactPoints": List<dynamic>.from(contactPoints!.map((final x) => x)),
        "status": status,
        "creationSourceType": creationSourceType,
        "rangeMembersCount": rangeMembersCount,
        "contentVisibilityType": contentVisibilityType,
        "settings": List<dynamic>.from(settings.map((final x) => x.toJson())),
        "media": media.toJson(),
        "tags": tags == null
            ? null
            : List<dynamic>.from(tags!.map((x) => x.toJson())),
        "eligibility": eligibility.toJson(),
        "hidden": hidden,
        "registered": registered,
        "business": business,
        "active": active,
        "description": description,
        "facilities": facilities == null
            ? null
            : List<dynamic>.from(facilities!.map((final x) => x.toJson())),
        "socialConnections": socialConnections == null
            ? null
            : List<dynamic>.from(
                socialConnections!.map((final x) => x.toJson())),
        "metadata": metadata == null ? null : metadata!.toJson(),
        "verified": verified,
        "premium": premium,
      };
}

class Eligibility {
  Eligibility();

  factory Eligibility.fromJson() => Eligibility();

  Map<String, dynamic> toJson() => {};
}

class Facility {
  Facility({
    required this.uuid,
    required this.description,
    required this.type,
    required this.active,
  });

  factory Facility.fromJson(final Map<String, dynamic> json) => Facility(
        uuid: json["uuid"] as String,
        description: json["description"] as String,
        type: json["type"] as String,
        active: json["active"] as bool? ?? false,
      );
  String uuid;
  String description;
  String type;
  bool active;

  Map<String, dynamic> toJson() => {
        "uuid": uuid,
        "description": description,
        "type": type,
        "active": active,
      };
}

class Location {
  Location({
    required this.uuid,
    required this.geoCoordinates,
    required this.address,
    required this.active,
    this.gplaceId,
    this.version,
  });
  factory Location.fromJson(final Map<String, dynamic> json) => Location(
        uuid: json["uuid"] as String,
        geoCoordinates: GeoCoordinates.fromJson(
            json["geoCoordinates"] as Map<String, dynamic>),
        address: Address.fromJson(json["address"] as Map<String, dynamic>),
        gplaceId: json["gplaceId"] == null ? null : json["gplaceId"] as String,
        active: json["active"] as bool? ?? false,
        version: json["version"] == null ? null : json["version"] as int,
      );

  String uuid;
  GeoCoordinates geoCoordinates;
  Address address;
  String? gplaceId;
  bool active;
  int? version;

  Map<String, dynamic> toJson() => {
        "uuid": uuid,
        "geoCoordinates": geoCoordinates.toJson(),
        "address": address.toJson(),
        "gplaceId": gplaceId,
        "active": active,
        "version": version,
      };
}

class Address {
  Address({
    required this.uuid,
    this.addressLine1,
    this.displayAddressLine,
    this.city,
    this.active,
    this.country,
    this.version,
    this.state,
    this.zipcode,
  });
  factory Address.fromJson(final Map<String, dynamic> json) => Address(
        uuid: json["uuid"] as String,
        addressLine1: json["addressLine1"] == null
            ? null
            : json["addressLine1"] as String,
        displayAddressLine: json["displayAddressLine"] == null
            ? null
            : json["displayAddressLine"] as String,
        city: json["city"] == null ? null : json["city"] as String,
        country: countryValues.map[json["country"]],
        active:
            json["active"] == null ? null : json["active"] as bool? ?? false,
        zipcode: json["zipcode"] == null ? "" : json["zipcode"] as String,
        version: json["version"] == null ? null : json["version"] as int,
        state: json["state"] == null ? "" : json["state"] as String,
      );
  String uuid;
  String? addressLine1;
  String? displayAddressLine;
  String? city;
  Country? country;
  bool? active;
  String? zipcode;
  int? version;
  String? state;

  Map<String, dynamic> toJson() => {
        "uuid": uuid,
        "addressLine1": addressLine1,
        "displayAddressLine": displayAddressLine,
        "city": city,
        "country": countryValues.reverse[country],
        "active": active,
        "zipcode": zipcode,
        "version": version,
        "state": state,
      };
}

enum Country {
  INDIA,
  UNITED_STATES,
  OMAN,
  PAKISTAN,
  QATAR,
  UNITED_ARAB_EMIRATES,
  ANGOLA,
  UGANDA,
  TANZANIA,
  AUSTRALIA,
  CANADA,
  SAUDI_ARABIA
}

final countryValues = EnumValues({
  "Angola": Country.ANGOLA,
  "Australia": Country.AUSTRALIA,
  "Canada": Country.CANADA,
  "India": Country.INDIA,
  "Oman": Country.OMAN,
  "Pakistan": Country.PAKISTAN,
  "Qatar": Country.QATAR,
  "Saudi Arabia": Country.SAUDI_ARABIA,
  "Tanzania": Country.TANZANIA,
  "Uganda": Country.UGANDA,
  "United Arab Emirates": Country.UNITED_ARAB_EMIRATES,
  "United States": Country.UNITED_STATES
});

class GeoCoordinates {
  GeoCoordinates({
    required this.type,
    required this.coordinates,
    required this.latitude,
    required this.longitude,
  });

  factory GeoCoordinates.fromJson(final Map<String, dynamic> json) =>
      GeoCoordinates(
        type: json["type"] as String,
        coordinates: List<double>.from(json["coordinates"]
            .map((final x) => x.toDouble()) as Iterable<dynamic>),
        latitude: json["latitude"] as String,
        longitude: json["longitude"] as String,
      );

  String type;
  List<double> coordinates;
  String latitude;
  String longitude;

  Map<String, dynamic> toJson() => {
        "type": type,
        "coordinates": List<dynamic>.from(coordinates.map((final x) => x)),
        "latitude": latitude,
        "longitude": longitude,
      };
}

class GroupMedia {
  GroupMedia({
    this.proImg,
    this.covImg,
  });

  factory GroupMedia.fromJson(final Map<String, dynamic> json) => GroupMedia(
        proImg: json["proImg"] == null
            ? null
            : Img.fromJson(json["proImg"] as Map<String, dynamic>),
        covImg: json["covImg"] == null
            ? null
            : Img.fromJson(json["covImg"] as Map<String, dynamic>),
      );

  Img? proImg;
  Img? covImg;

  Map<String, dynamic> toJson() => {
        "proImg": proImg == null ? null : proImg!.toJson(),
        "covImg": covImg == null ? null : covImg!.toJson(),
      };
}

class Img {
  Img({
    required this.uuid,
    required this.id,
    required this.resourceType,
    required this.type,
    required this.resizedMediaList,
    required this.active,
    this.resourceId,
    this.contentType,
  });
  factory Img.fromJson(final Map<String, dynamic> json) => Img(
        uuid: json["uuid"] as String,
        id: json["id"] as String,
        resourceType: json["resourceType"] as String,
        resourceId: json["resourceId"] == null
            ? null
            : idValues.map[json["resourceId"]],
        type: json["type"] as String,
        contentType:
            json["contentType"] == null ? null : json["contentType"] as String,
        resizedMediaList: List<ResizedMediaList>.from(json["resizedMediaList"]
                .map(
                    (x) => ResizedMediaList.fromJson(x as Map<String, dynamic>))
            as Iterable<dynamic>),
        active: json["active"] as bool? ?? false,
      );
  String uuid;
  String id;
  String resourceType;
  Id? resourceId;
  String type;
  String? contentType;
  List<ResizedMediaList> resizedMediaList;
  bool active;

  Map<String, dynamic> toJson() => {
        "uuid": uuid,
        "id": id,
        "resourceType": resourceType,
        "resourceId": idValues.reverse[resourceId],
        "type": type,
        "contentType": contentType,
        "resizedMediaList":
            List<dynamic>.from(resizedMediaList.map((final x) => x.toJson())),
        "active": active,
      };
}

class ResizedGroupMediaList {
  ResizedGroupMediaList({
    required this.type,
    required this.mediaUrl,
  });

  factory ResizedGroupMediaList.fromJson(final Map<String, dynamic> json) =>
      ResizedGroupMediaList(
        type: json["type"] as String,
        mediaUrl: json["mediaUrl"] as String,
      );
  String type;
  String mediaUrl;

  Map<String, dynamic> toJson() => {
        "type": type,
        "mediaUrl": mediaUrl,
      };
}

enum Id { THE_601_EE39_AAC77_E1646_A92_B6_F1 }

final idValues = EnumValues(
    {"601ee39aac77e1646a92b6f1": Id.THE_601_EE39_AAC77_E1646_A92_B6_F1});

class CommunityListMetadata {
  CommunityListMetadata({
    this.mdGroupChannels,
    this.mdIntelliRsvpSetting,
  });

  factory CommunityListMetadata.fromJson(final Map<String, dynamic> json) =>
      CommunityListMetadata(
        mdGroupChannels: json["mdGroupChannels"] == null
            ? null
            : List<MdGroupChannel>.from(json["mdGroupChannels"].map(
                    (x) => MdGroupChannel.fromJson(x as Map<String, dynamic>))
                as Iterable<dynamic>),
        mdIntelliRsvpSetting: json["mdIntelliRSVPSetting"] == null
            ? null
            : MdIntelliRsvpSetting.fromJson(
                json["mdIntelliRSVPSetting"] as Map<String, dynamic>),
      );

  List<MdGroupChannel>? mdGroupChannels;
  MdIntelliRsvpSetting? mdIntelliRsvpSetting;

  Map<String, dynamic> toJson() => {
        "mdGroupChannels":
            List<dynamic>.from(mdGroupChannels!.map((final x) => x.toJson())),
        "mdIntelliRSVPSetting": mdIntelliRsvpSetting!.toJson(),
      };
}

class MdGroupChannel {
  MdGroupChannel({
    required this.name,
    required this.coverUrl,
    required this.channelUrl,
    required this.customType,
    required this.isDistinct,
    required this.isPublic,
    required this.isEphemeral,
    required this.data,
    required this.isCreated,
    required this.isDiscoverable,
    required this.isSuper,
    required this.freeze,
    required this.memberCount,
    required this.joinedMemberCount,
    required this.maxLengthMessage,
    required this.createdAt,
    required this.members,
    required this.uuid,
    required this.active,
    required this.createdTs,
    required this.updatedTs,
    required this.createdBy,
    required this.updatedBy,
    this.communityId,
    this.operators,
  });

  factory MdGroupChannel.fromJson(final Map<String, dynamic> json) =>
      MdGroupChannel(
        name: json["name"] as String,
        coverUrl: json["cover_url"] as String,
        channelUrl: json["channel_url"] as String,
        customType: customTypeValues.map[json["custom_type"]]!,
        isDistinct: json["is_distinct"] as bool? ?? false,
        isPublic: json["is_public"] as bool? ?? false,
        isEphemeral: json["is_ephemeral"] as bool? ?? false,
        data: json["data"] as String,
        isCreated: json["is_created"] as bool? ?? false,
        isDiscoverable: json["is_discoverable"] as bool? ?? false,
        isSuper: json["is_super"] as bool? ?? false,
        freeze: json["freeze"] as bool? ?? false,
        memberCount: json["member_count"] as int,
        joinedMemberCount: json["joined_member_count"] as int,
        maxLengthMessage: json["max_length_message"] as int,
        createdAt: json["created_at"] as int,
        operators: json["operators"] == null
            ? null
            : List<Operator>.from(json["operators"]
                    .map((x) => Operator.fromJson(x as Map<String, dynamic>))
                as Iterable<dynamic>),
        members: List<Member>.from(json["members"]
                .map((x) => Member.fromJson(x as Map<String, dynamic>))
            as Iterable<dynamic>),
        uuid: json["uuid"] as String,
        active: json["active"] as bool? ?? false,
        createdTs: json["created_ts"] as String,
        updatedTs: json["updated_ts"] as String,
        createdBy: json["created_by"] as String,
        updatedBy: json["updated_by"] as String,
        communityId: idValues.map[json["community_id"]],
      );
  String name;
  String coverUrl;
  String channelUrl;
  CustomType customType;
  bool isDistinct;
  bool isPublic;
  bool isEphemeral;
  String data;
  bool isCreated;
  bool isDiscoverable;
  bool isSuper;
  bool freeze;
  int memberCount;
  int joinedMemberCount;
  int maxLengthMessage;
  int createdAt;
  List<Operator>? operators;
  List<Member> members;
  String uuid;
  bool active;
  String createdTs;
  String updatedTs;
  String createdBy;
  String updatedBy;
  Id? communityId;

  Map<String, dynamic> toJson() => {
        "name": name,
        "cover_url": coverUrl,
        "channel_url": channelUrl,
        "custom_type": customTypeValues.reverse[customType],
        "is_distinct": isDistinct,
        "is_public": isPublic,
        "is_ephemeral": isEphemeral,
        "data": data,
        "is_created": isCreated,
        "is_discoverable": isDiscoverable,
        "is_super": isSuper,
        "freeze": freeze,
        "member_count": memberCount,
        "joined_member_count": joinedMemberCount,
        "max_length_message": maxLengthMessage,
        "created_at": createdAt,
        "operators":
            List<dynamic>.from(operators!.map((final x) => x.toJson())),
        "members": List<dynamic>.from(members.map((final x) => x.toJson())),
        "uuid": uuid,
        "active": active,
        "created_ts": createdTs,
        "updated_ts": updatedTs,
        "created_by": createdBy,
        "updated_by": updatedBy,
        "community_id": idValues.reverse[communityId],
      };
}

enum CustomType { USR2_COM }

final customTypeValues = EnumValues({"usr2com": CustomType.USR2_COM});

class Member {
  Member({
    required this.userId,
    required this.nickname,
    required this.profileUrl,
    required this.metadata,
    required this.isActive,
    required this.isOnline,
    required this.lastSeenAt,
  });

  factory Member.fromJson(final Map<String, dynamic> json) => Member(
        userId: json["user_id"] as String,
        nickname: json["nickname"] as String,
        profileUrl: json["profile_url"] as String,
        metadata:
            MemberMetadata.fromJson(json["metadata"] as Map<String, dynamic>),
        isActive: json["is_active"] as bool? ?? false,
        isOnline: json["is_online"] as bool? ?? false,
        lastSeenAt: json["last_seen_at"] as int,
      );

  String userId;
  String nickname;
  String profileUrl;
  MemberMetadata metadata;
  bool isActive;
  bool isOnline;
  int lastSeenAt;

  Map<String, dynamic> toJson() => {
        "user_id": userId,
        "nickname": nickname,
        "profile_url": profileUrl,
        "metadata": metadata.toJson(),
        "is_active": isActive,
        "is_online": isOnline,
        "last_seen_at": lastSeenAt,
      };
}

class MemberMetadata {
  MemberMetadata({
    this.homeCountry,
  });
  factory MemberMetadata.fromJson(final Map<String, dynamic> json) =>
      MemberMetadata(
        homeCountry: countryValues.map[json["homeCountry"]],
      );
  Country? homeCountry;

  Map<String, dynamic> toJson() => {
        "homeCountry":
            homeCountry == null ? null : countryValues.reverse[homeCountry],
      };
}

class Operator {
  Operator({
    this.userId,
    this.nickname,
    this.profileUrl,
    this.metadata,
    this.isActive,
    this.isOnline,
    this.lastSeenAt,
  });
  factory Operator.fromJson(final Map<String, dynamic> json) => Operator(
        userId:
            json["user_id"] == null ? null : userIdValues.map[json["user_id"]],
        nickname: json["nickname"] == null
            ? null
            : nicknameValues.map[json["nickname"]],
        profileUrl: json["profile_url"] as String?,
        metadata: Eligibility.fromJson(),
        isActive: json["is_active"] as bool? ?? false,
        isOnline: json["is_online"] as bool? ?? false,
        lastSeenAt: json["last_seen_at"] as int?,
      );
  UserId? userId;
  Nickname? nickname;
  String? profileUrl;
  Eligibility? metadata;
  bool? isActive;
  bool? isOnline;
  int? lastSeenAt;

  Map<String, dynamic> toJson() => {
        "user_id": userIdValues.reverse[userId],
        "nickname": nicknameValues.reverse[nickname],
        "profile_url": profileUrl,
        "metadata": metadata!.toJson(),
        "is_active": isActive,
        "is_online": isOnline,
        "last_seen_at": lastSeenAt,
      };
}

enum Nickname {
  AHESAN_A,
  MOHAMED_H,
  AMMAR_HUSSAIN_S,
  IMTIAZ_ALI_S,
  YAVAR_A,
  MINHAJ_A,
  HADI_G,
  MEHDI_S,
  KAUNAIN_A
}

final nicknameValues = EnumValues({
  "Ahesan A.": Nickname.AHESAN_A,
  "Ammar Hussain S.": Nickname.AMMAR_HUSSAIN_S,
  "hadi g.": Nickname.HADI_G,
  "Imtiaz Ali S.": Nickname.IMTIAZ_ALI_S,
  "kaunain a.": Nickname.KAUNAIN_A,
  "Mehdi S.": Nickname.MEHDI_S,
  "MINHAJ A.": Nickname.MINHAJ_A,
  "Mohamed H.": Nickname.MOHAMED_H,
  "Yavar A.": Nickname.YAVAR_A
});

enum UserId {
  USR_5_CBB1_DC49_F247_B076_C6751_C6,
  USR_5_C39442_F9_F247_B54_DC21_AAE6,
  USR_601_BD84_A4_B98_CF383_DC81_AEC,
  USR_5_CD72_D449_F247_B6_BF80_FC2_FE,
  USR_5_CDD40_D09_F247_B6_BF80_FC3_FA,
  USR_601_FBC774_B98_CF383_DC81_B23,
  USR_60258_DFDE748_E74091430_D9_A,
  USR_5_B7_A7_A3_A9_F247_B0_F9_EF37595,
  USR_5_FAD54_A488_B0_C644_B69062_A2
}

final userIdValues = EnumValues({
  "usr_5b7a7a3a9f247b0f9ef37595": UserId.USR_5_B7_A7_A3_A9_F247_B0_F9_EF37595,
  "usr_5c39442f9f247b54dc21aae6": UserId.USR_5_C39442_F9_F247_B54_DC21_AAE6,
  "usr_5cbb1dc49f247b076c6751c6": UserId.USR_5_CBB1_DC49_F247_B076_C6751_C6,
  "usr_5cd72d449f247b6bf80fc2fe": UserId.USR_5_CD72_D449_F247_B6_BF80_FC2_FE,
  "usr_5cdd40d09f247b6bf80fc3fa": UserId.USR_5_CDD40_D09_F247_B6_BF80_FC3_FA,
  "usr_5fad54a488b0c644b69062a2": UserId.USR_5_FAD54_A488_B0_C644_B69062_A2,
  "usr_601bd84a4b98cf383dc81aec": UserId.USR_601_BD84_A4_B98_CF383_DC81_AEC,
  "usr_601fbc774b98cf383dc81b23": UserId.USR_601_FBC774_B98_CF383_DC81_B23,
  "usr_60258dfde748e74091430d9a": UserId.USR_60258_DFDE748_E74091430_D9_A
});

class MdIntelliRsvpSetting {
  MdIntelliRsvpSetting({
    required this.approvalType,
    required this.attendeesCount,
    required this.finalizeEventTs,
    required this.hoursBeforeStartFinalizeEvent,
  });
  factory MdIntelliRsvpSetting.fromJson(final Map<String, dynamic> json) =>
      MdIntelliRsvpSetting(
        approvalType: json["approvalType"] as String,
        attendeesCount: json["attendeesCount"] as int,
        finalizeEventTs: json["finalizeEventTS"] as String,
        hoursBeforeStartFinalizeEvent:
            json["hoursBeforeStartFinalizeEvent"] as int,
      );
  String approvalType;
  int attendeesCount;
  String finalizeEventTs;
  int hoursBeforeStartFinalizeEvent;

  Map<String, dynamic> toJson() => {
        "approvalType": approvalType,
        "attendeesCount": attendeesCount,
        "finalizeEventTS": finalizeEventTs,
        "hoursBeforeStartFinalizeEvent": hoursBeforeStartFinalizeEvent,
      };
}

class Setting {
  Setting({
    required this.uuid,
    this.updatedTs,
    this.createdBy,
    this.updatedBy,
    this.createdTs,
    this.key,
    this.value,
    this.active,
  });
  factory Setting.fromJson(final Map<String, dynamic> json) => Setting(
        uuid: json["uuid"] as String,
        createdTs:
            json["createdTS"] == null ? null : json["createdTS"] as String,
        updatedTs:
            json["updatedTS"] == null ? null : json["updatedTS"] as String,
        createdBy:
            json["createdBy"] == null ? null : json["createdBy"] as String,
        updatedBy:
            json["updatedBy"] == null ? null : json["updatedBy"] as String,
        key: json["key"] as String,
        value: json["value"] as String,
        active: json["active"] as bool? ?? false,
      );

  String uuid;
  String? createdTs;
  String? updatedTs;
  String? createdBy;
  String? updatedBy;
  String? key;
  String? value;
  bool? active;

  Map<String, dynamic> toJson() => {
        "uuid": uuid,
        "createdTS": createdTs,
        "updatedTS": updatedTs,
        "createdBy": createdBy,
        "updatedBy": updatedBy,
        "key": key,
        "value": value,
        "active": active,
      };
}

class SocialConnection {
  SocialConnection({
    required this.url,
  });
  factory SocialConnection.fromJson(final Map<String, dynamic> json) =>
      SocialConnection(
        url: json["url"] as String,
      );
  String url;

  Map<String, dynamic> toJson() => {
        "url": url,
      };
}

class GroupPageApi {
  GroupPageApi({
    required this.size,
    required this.totalElements,
    required this.totalPages,
    required this.number,
  });

  factory GroupPageApi.fromJson(final Map<String, dynamic> json) =>
      GroupPageApi(
        size: json["size"] as int,
        totalElements: json["totalElements"] as int,
        totalPages: json["totalPages"] as int,
        number: json["number"] as int,
      );

  int size;
  int totalElements;
  int totalPages;
  int number;

  Map<String, dynamic> toJson() => {
        "size": size,
        "totalElements": totalElements,
        "totalPages": totalPages,
        "number": number,
      };
}
