part of kitcod_uikit_flutter;

class BottomSheetDropdown extends StatelessWidget {
  const BottomSheetDropdown({
    required this.heading,
    required this.icon,
    required this.groupList,
    required this.name,
    required this.userName,
    required this.profileImageUrl,
    required this.groupTags,
    required this.hintText,
    required this.moreOptions,
    required this.postType,
    this.hintTextStyle,
    this.iconColor,
    this.iconBackgroundColor,
    this.headingStyle,
    this.descriptionStyle,
    this.nameStyle,
    this.userNameStyle,
    this.groupTagsStyle,
    final Key? key,
    this.groupsList,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final String heading;
  final List<FeedGroup> groupList;
  final Color? iconColor;
  final Color? iconBackgroundColor;
  final TextStyle? headingStyle;
  final TextStyle? descriptionStyle;
  final List<PostType>? postType;
  final TextStyle? nameStyle;
  final TextStyle? groupTagsStyle;
  final TextStyle? userNameStyle;
  final String hintText;
  final String name;
  final String userName;
  final String profileImageUrl;
  final List<String> groupTags;
  final TextStyle? hintTextStyle;
  final IconData? icon;
  final List<FeedGroup>? groupsList;
  final List<MoreOptions> moreOptions;

// -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Wrap build(final BuildContext context) => Wrap(
        children: [
          Container(
            alignment: Alignment.center,
            child: SizedBox(
              width: MediaQuery.of(context).size.width * 0.15,
              height: 3,
              child: DecoratedBox(
                decoration: BoxDecoration(color: Colors.indigo.shade100),
              ),
            ),
          ),
          Padding(
              padding: const EdgeInsets.all(15),
              child: Text(heading,
                  style: headingStyle ?? const TextStyle(fontSize: 20))),
          if (postType != null)
            for (var option in postType!)
              if (option == PostType.announcement)
                BottomSheetNavigation(
                  heading: "Announcement",
                  description: "Priority notifications to followers",
                  icon: KitcodAppIcons.announcement,
                  groupList: groupList,
                  iconColor: iconColor,
                  iconBackgroundColor: iconBackgroundColor,
                  headingStyle: headingStyle,
                  descriptionStyle: descriptionStyle,
                  groupTags: groupTags,
                  hintText: hintText,
                  moreOptions: moreOptions,
                  name: name,
                  postType: postType,
                  profileImageUrl: profileImageUrl,
                  userName: userName,
                  groupTagsStyle: groupTagsStyle,
                  groupsList: groupList,
                  hintTextStyle: hintTextStyle,
                  nameStyle: nameStyle,
                  userNameStyle: userNameStyle,
                )
              else if (option == PostType.post)
                BottomSheetNavigation(
                  heading: "Post",
                  description: "Standard Post",
                  icon: KitcodAppIcons.post,
                  groupList: groupList,
                  iconColor: iconColor,
                  iconBackgroundColor: iconBackgroundColor,
                  headingStyle: headingStyle,
                  descriptionStyle: descriptionStyle,
                  groupTags: groupTags,
                  hintText: hintText,
                  moreOptions: moreOptions,
                  name: name,
                  postType: postType,
                  profileImageUrl: profileImageUrl,
                  userName: userName,
                  groupTagsStyle: groupTagsStyle,
                  groupsList: groupList,
                  hintTextStyle: hintTextStyle,
                  nameStyle: nameStyle,
                  userNameStyle: userNameStyle,
                )
              else if (option == PostType.poll)
                BottomSheetNavigation(
                  heading: "Poll",
                  description: "Get opinion from your followers",
                  icon: KitcodAppIcons.poll,
                  groupList: groupList,
                  iconColor: iconColor,
                  iconBackgroundColor: iconBackgroundColor,
                  headingStyle: headingStyle,
                  descriptionStyle: descriptionStyle,
                  groupTags: groupTags,
                  hintText: hintText,
                  moreOptions: moreOptions,
                  name: name,
                  postType: postType,
                  profileImageUrl: profileImageUrl,
                  userName: userName,
                  groupTagsStyle: groupTagsStyle,
                  groupsList: groupList,
                  hintTextStyle: hintTextStyle,
                  nameStyle: nameStyle,
                  userNameStyle: userNameStyle,
                )
        ],
      );
}
