part of kitcod_uikit_flutter;

class BottomSheetNavigation extends StatelessWidget {
  const BottomSheetNavigation({
    required this.heading,
    required this.description,
    required this.icon,
    required this.groupList,
    required this.name,
    required this.userName,
    required this.profileImageUrl,
    required this.groupTags,
    required this.hintText,
    required this.moreOptions,
    this.postType,
    this.nameStyle,
    this.userNameStyle,
    this.groupTagsStyle,
    this.hintTextStyle,
    this.iconColor,
    this.iconBackgroundColor,
    this.headingStyle,
    this.descriptionStyle,
    this.groupsList,
    final Key? key,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final String heading;
  final String description;
  final IconData icon;
  final String hintText;
  final String name;
  final String userName;
  final String profileImageUrl;
  final List<String> groupTags;
  final List<FeedGroup> groupList;
  final TextStyle? hintTextStyle;
  final Color? iconColor;
  final Color? iconBackgroundColor;
  final TextStyle? headingStyle;
  final TextStyle? descriptionStyle;
  final List<PostType>? postType;
  final List<FeedGroup>? groupsList;
  final TextStyle? nameStyle;
  final TextStyle? groupTagsStyle;
  final TextStyle? userNameStyle;
  final List<MoreOptions> moreOptions;

// -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Widget build(final BuildContext context) => TextButton(
      onPressed: () => {
            Navigator.push(
              context,
              MaterialPageRoute(
                builder: (final context) => CreatePost(
                    headerView: HeaderView(
                      backgroundColor: Colors.white.withOpacity(0.1),
                      leftSideIcon: IconButton(
                        onPressed: () {
                          Navigator.pop(context);
                        },
                        icon: const Icon(
                          Icons.arrow_back_outlined,
                          color: Colors.black,
                        ),
                      ),
                      header: const Text(
                        "Create New",
                        style: TextStyle(color: Colors.black),
                      ),
                      headerAlignment: Alignment.centerLeft,
                    ),
                    name: name,
                    nameStyle: nameStyle,
                    userName: userName,
                    userNameStyle: userNameStyle,
                    porfileImageUrl: profileImageUrl,
                    groupTags: groupTags,
                    groupTagsStyle: groupTagsStyle,
                    groupsList: groupsList,
                    descriptionStyle: descriptionStyle,
                    headingStyle: headingStyle,
                    iconColor: iconColor,
                    iconBackgroundColor: iconBackgroundColor,
                    postType: postType,
                    moreOptions: moreOptions),
              ),
            )
          },
      child: SizedBox(
        child: BottomSheetOption(
          heading: heading,
          description: description,
          icon: icon,
          iconColor: iconColor,
          iconBackgroundColor: iconBackgroundColor,
          headingStyle: headingStyle,
          descriptionStyle: descriptionStyle,
        ),
      ));
}
