// ignore_for_file: avoid_dynamic_calls

part of kitcod_uikit_flutter;

class ProfileBottomSheet extends StatefulWidget {
  ProfileBottomSheet({
    required this.optionsHeading,
    required this.profileImageUrl,
    required this.name,
    required this.userName,
    required this.groupTags,
    this.nameStyle,
    this.userNameStyle,
    this.groupTagsStyle,
    this.postedToString,
    this.groupsArray,
    final Key? key,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final List<String> groupTags;
  final List<FeedGroup>? groupsArray;
  final Text optionsHeading;
  final String name;
  final String userName;
  final String profileImageUrl;
  final String? postedToString;
  final TextStyle? nameStyle;
  final TextStyle? groupTagsStyle;
  final TextStyle? userNameStyle;
  final Future<List<String>> adminGroups =
      KitcodApi.instance.getAdminUserGroupsFromProfileData();
  List<String> groupsInfo = [];
  final groupsList = [
    "5bc447519f247b5778b024ec",
    "5de51dcc31cbd60447ff79d6",
    "601ee39aac77e1646a92b6f1"
  ];
  @override
  State<ProfileBottomSheet> createState() => _ProfileBottomSheet();
}

class _ProfileBottomSheet extends State<ProfileBottomSheet> {
  @override
  void initState() {
    super.initState();
    widget.adminGroups.then((final value) => widget.groupsInfo = value);
  }

  @override
  void dispose() {
    super.dispose();
  }

// -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  TextButton build(final BuildContext context) => TextButton(
        onPressed: () => showModalBottomSheet(
            shape: const RoundedRectangleBorder(
                borderRadius: BorderRadius.vertical(
              top: Radius.circular(20),
            )),
            isScrollControlled: true,
            context: context,
            builder: (final context) => Container(
                padding: const EdgeInsets.all(8),
                child: Wrap(
                  children: [
                    Container(
                      alignment: Alignment.center,
                      child: SizedBox(
                        width: MediaQuery.of(context).size.width * 0.15,
                        height: 3,
                        child: DecoratedBox(
                          decoration:
                              BoxDecoration(color: Colors.indigo.shade100),
                        ),
                      ),
                    ),
                    Padding(
                        padding: const EdgeInsets.all(15),
                        child: widget.optionsHeading),
                    FutureBuilder(
                        future: KitcodApi.instance.getGroupsBulkData(),
                        // ignore: avoid_types_on_closure_parameters
                        builder: (final context, final snapshot) {
                          if (!snapshot.hasData) {
                            return const Center(child: Text("Loading..."));
                          } else {
                            if (snapshot.hasError) {
                              return Center(
                                  child: Text("Error: ${snapshot.error}"));
                            } else {
                              final List<Communities> communitiesList =
                                  snapshot.data! as List<Communities>;
                              return ListView.builder(
                                shrinkWrap: true,
                                itemCount: communitiesList.length - 1,
                                itemBuilder: (final context, final index) {
                                  if (widget.groupsInfo
                                      .contains(communitiesList[index].id)) {
                                    return GroupDetails(
                                      groupImageUrl: communitiesList[index]
                                                  .body
                                                  .media
                                                  .proImg ==
                                              null
                                          ? "https://picsum.photos/201"
                                          : communitiesList[index]
                                              .body
                                              .media
                                              .proImg!
                                              .resizedMediaList
                                              .first
                                              .mediaUrl,
                                      groupTitle:
                                          communitiesList[index].body.name,
                                      members: communitiesList[index]
                                                  .body
                                                  .rangeMembersCount ==
                                              null
                                          ? ""
                                          : communitiesList[index]
                                              .body
                                              .rangeMembersCount
                                              .toString(),
                                    );
                                  } else {
                                    return Container();
                                  }
                                },
                              );
                            }
                          }
                        })
                  ],
                ))),
        child: SizedBox(
          height: MediaQuery.of(context).size.height * 0.11,
          width: MediaQuery.of(context).size.width,
          child: Padding(
            padding: const EdgeInsets.all(8),
            child: ProfileDetails(
                name: widget.name,
                nameStyle: widget.nameStyle,
                userName: widget.userName,
                userNameStyle: widget.userNameStyle,
                profileImageUrl: widget.profileImageUrl,
                groupTags: widget.groupTags,
                groupTagsStyle: widget.groupTagsStyle,
                postedTo: widget.postedToString),
          ),
        ),
      );
}
