part of kitcod_uikit_flutter;

class Button extends StatelessWidget {
  const Button({
    required this.name,
    required this.onPressed,
    this.textStyle,
    this.backgroundColor,
    this.borderSide,
    this.icon,
    this.height,
    this.width,
    final Key? key,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final String name;
  final IconData? icon;
  final VoidCallback onPressed;
  final TextStyle? textStyle;
  final Color? backgroundColor;
  final BorderSide? borderSide;
  final double? height;
  final double? width;

// -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  SizedBox build(final context) => SizedBox(
        height: height ?? 50,
        width: width ?? 200,
        child: TextButton(
          onPressed: onPressed,
          style: ButtonStyle(
            backgroundColor: MaterialStateProperty.all(backgroundColor),
            shape: MaterialStateProperty.all(RoundedRectangleBorder(
                borderRadius: BorderRadius.circular(8),
                side: borderSide ?? BorderSide.none)),
          ),
          child: icon == null
              ? Text(
                  name,
                  style: textStyle ?? const TextStyle(fontSize: 20),
                )
              : Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    Text(
                      name,
                      style: textStyle ?? const TextStyle(fontSize: 20),
                    ),
                    const SizedBox(width: 8),
                    Icon(
                      icon,
                      color: textStyle?.color,
                    )
                  ],
                ),
        ),
      );
}
