part of kitcod_uikit_flutter;

class GroupDetails extends StatelessWidget {
  const GroupDetails({
    required this.groupImageUrl,
    required this.groupTitle,
    required this.members,
    this.groupTitleStyle,
    this.membersStyle,
    final Key? key,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final String groupImageUrl;
  final String groupTitle;
  final String members;
  final TextStyle? groupTitleStyle;
  final TextStyle? membersStyle;

// -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Container build(final context) => Container(
        padding: const EdgeInsets.all(10),
        child: Column(
          children: [
            Row(
              children: [
                ClipRRect(
                  borderRadius: BorderRadius.circular(5), // Image border
                  child: SizedBox.fromSize(
                    child: Image.network(
                      groupImageUrl,
                      fit: BoxFit.cover,
                      width: 50,
                      height: 50,
                    ),
                  ),
                ),
                Column(
                  mainAxisAlignment: MainAxisAlignment.center,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Padding(
                        padding: const EdgeInsets.only(left: 10),
                        child: Text(groupTitle,
                            style: groupTitleStyle ??
                                const TextStyle(
                                    color: Colors.black,
                                    fontWeight: FontWeight.bold,
                                    fontSize: 15))),
                    const SizedBox(height: 3),
                    Padding(
                      padding: const EdgeInsets.only(left: 10),
                      child: Text(members,
                          style: membersStyle ??
                              const TextStyle(color: Colors.grey)),
                    )
                  ],
                ),
              ],
            ),
          ],
        ),
      );
}
