part of kitcod_uikit_flutter;

class PollsView extends StatefulWidget {
  const PollsView(
      {this.pollDetails,
      this.interactionDetails,
      // required this.usersWhoVoted,
      // required this.pollOptions,
      // required this.creator,
      // required this.currentUser,
      final Key? key})
      : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final Poll? pollDetails;
  final InteractionSummary? interactionDetails;
  // final Map<String, int> usersWhoVoted;
  // final Map<String, int> pollOptions;
  // final String creator;
  // final String currentUser;

  @override
  _PollsViewState createState() => _PollsViewState();
}

class _PollsViewState extends State<PollsView> {
  double option1 = 1;
  double option2 = 2;
  double option3 = 3;

  String user = "user@gmail.com";
  Map<String, int> usersWhoVoted = {
    "test@gmail.com": 1,
    "deny@gmail.com": 3,
    "kent@gmail.com": 2,
    "xyz@gmail.com": 3
  };
  String creator = "admin@gmail.com";
  bool pollSelected = false;
  int totalVotes = 0;

  // -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  SizedBox build(final BuildContext context) => SizedBox(
        child: Padding(
          padding: const EdgeInsets.all(8),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Polls(
                children: [
                  for (Option poll in widget.pollDetails!.options)
                    Polls.options(
                        title: poll.text,
                        // ignore: cast_nullable_to_non_nullable
                        value: widget.interactionDetails!
                                    .interactionCounts![poll.type] !=
                                null
                            ? widget.interactionDetails!
                                .interactionCounts![poll.type]!
                                .toDouble()
                            : 0.0),
                ],
                currentUser: user,
                creatorID: creator,
                voteData: usersWhoVoted,
                userChoice: usersWhoVoted[user],
                onVoteBackgroundColor: Colors.indigo.shade100,
                lowestBackgroundColor: Colors.red.shade100,
                pollStyle: const TextStyle(color: Colors.grey),
                outlineColor: Colors.grey,
                lowestPollStyle: const TextStyle(color: Colors.red),
                onVotePollStyle: const TextStyle(color: Colors.blue),
                onVote: (final choice) {
                  setState(() {
                    usersWhoVoted[user] = choice;
                    pollSelected = true;
                  });
                  if (choice == 1) {
                    setState(() {
                      option1 += 1.0;
                    });
                  }
                  if (choice == 2) {
                    setState(() {
                      option2 += 1.0;
                    });
                  }
                  if (choice == 3) {
                    setState(() {
                      option3 += 1.0;
                    });
                  }
                },
              ),
              // if (pollSelected)
              //   Padding(
              //     padding: const EdgeInsets.all(5),
              //     child: Row(
              //       mainAxisAlignment: MainAxisAlignment.spaceBetween,
              //       children: [
              //         Text("$totalVotes votes",
              //             style: const TextStyle(
              //                 fontWeight: FontWeight.bold,
              //                 color: Colors.indigo)),
              //         const Text("View Stats",
              //             textAlign: TextAlign.right,
              //             style: TextStyle(
              //                 fontWeight: FontWeight.bold,
              //                 color: Colors.indigo)),
              //       ],
              //     ),
              //   ),
            ],
          ),
        ),
      );
}
