// ignore_for_file: use_if_null_to_convert_nulls_to_bools
part of kitcod_uikit_flutter;

class ShareStatsIcons extends StatelessWidget {
  const ShareStatsIcons({
    this.isLiked,
    this.likes,
    this.comments,
    this.views,
    final Key? key,
  }) : super(key: key);
  // -------------------------------- VARIABLES -------------------------------- //

  final num? likes;
  final num? comments;
  final num? views;
  final bool? isLiked;

  // -------------------------------- BUILD FUNCTION -------------------------------- //

  Future<void> share() async {
    await FlutterShare.share(
        title: "Example share",
        text: "Example share text",
        linkUrl: "https://flutter.dev/",
        chooserTitle: "Example Chooser Title");
  }

  @override
  Row build(final context) => Row(
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        children: [
          statsIcon(
              Icon(
                  isLiked != null && isLiked == true
                      ? Icons.favorite
                      : Icons.favorite_border_outlined,
                  color: isLiked != null && isLiked == true
                      ? Colors.red
                      : Colors.black,
                  size: 24),
              likes == null || likes == 0 ? "" : likes.toString()),
          statsIcon(
              const Icon(Icons.mode_comment_outlined,
                  size: 24, color: Colors.black),
              comments == null || likes == 0 ? "" : comments.toString()),
          statsIcon(
              const Icon(Icons.remove_red_eye_outlined,
                  color: Colors.black, size: 24),
              views == null || likes == 0 ? "" : views.toString()),
        ],
      );

  // -------------------------------- UI FUNCTION -------------------------------- //

  Row statsIcon(final Icon icon, final String? statNumber) => Row(
        children: [
          icon,
          Padding(
            padding: const EdgeInsets.only(left: 8),
            child: Text(statNumber.toString(),
                style: const TextStyle(color: Colors.black)),
          )
        ],
      );

  TextButton statsIconShare(final Icon icon, final String? statNumber) =>
      TextButton(
          onPressed: share,
          child: Row(
            children: [
              icon,
              Padding(
                padding: const EdgeInsets.only(left: 8),
                child: Text(statNumber.toString(),
                    style: const TextStyle(color: Colors.black)),
              )
            ],
          ));
}
