part of kitcod_uikit_flutter;

class CreateGroup extends StatefulWidget {
  const CreateGroup({required this.headerView, final Key? key})
      : super(key: key);
  final HeaderView headerView;

  @override
  State<CreateGroup> createState() => _CreateGroupState();
}

class _CreateGroupState extends State<CreateGroup> {
  // -------------------------------- VARIABLES -------------------------------- //
  late bool isPublic;

  // -------------------------------- LIFECYCLE FUNCTIONS -------------------------------- //
  @override
  void initState() {
    super.initState();
    isPublic = true;
  }

  // -------------------------------- UI FUNCTIONS -------------------------------- //
  Flexible _superGroupTextField() => Flexible(
        child: TextField(
          textAlignVertical: TextAlignVertical.center,
          cursorColor: Colors.indigoAccent,
          maxLength: kCreateGroupMaxCharactersLength,
          decoration: kKitCodUIKitTextFieldStyle.copyWith(
              hintText: "What's the name of your group?"),
          onChanged: (final value) {},
        ),
      );

  Column _groupPrivacyButtons() => Column(
        children: [
          const SizedBox(height: 12),
          const Align(
            alignment: Alignment.centerLeft,
            child: Text(
              "Group Privacy",
              style: TextStyle(fontWeight: FontWeight.w600, fontSize: 14),
            ),
          ),
          const SizedBox(height: 16),
          Row(
            children: [
              TextIconButton(
                icon: Icons.public,
                text: "public",
                selectedColor: Colors.blue,
                disabledColor: Colors.grey,
                isSelected: isPublic,
                onPressed: () => setState(() => isPublic = true),
              ),
              const SizedBox(width: 12),
              TextIconButton(
                icon: Icons.lock_rounded,
                text: "private",
                selectedColor: Colors.blue,
                disabledColor: Colors.grey,
                isSelected: !isPublic,
                onPressed: () => setState(() => isPublic = false),
              ),
            ],
          )
        ],
      );

  SizedBox _aboutTheGroupTextField() => SizedBox(
        height: 150,
        child: TextField(
          textAlignVertical: TextAlignVertical.center,
          cursorColor: Colors.indigoAccent,
          maxLines: 20,
          decoration: kKitCodUIKitTextFieldStyle.copyWith(
            hintText: "About the group (optional)",
            contentPadding:
                const EdgeInsets.symmetric(vertical: 16, horizontal: 12),
          ),
          onChanged: (final value) {},
        ),
      );

  Button _bottomButton() => Button(
      name: "Create Group",
      width: MediaQuery.of(context).size.width * 0.9,
      backgroundColor: kUIKitCodAccentColor,
      borderSide: const BorderSide(color: kUIKitCodAccentColor),
      textStyle: const TextStyle(color: Colors.white, fontSize: 16),
      onPressed: () {});

  // -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Widget build(final context) => Scaffold(
        appBar: widget.headerView,
        body: SafeArea(
          child: SingleChildScrollView(
            child: Container(
              padding: const EdgeInsets.symmetric(vertical: 12, horizontal: 20),
              height: MediaQuery.of(context).size.height * 0.85,
              child: Column(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  Column(
                    mainAxisSize: MainAxisSize.min,
                    children: [
                      const SizedBox(height: 16),
                      _superGroupTextField(),
                      const SizedBox(height: 24),
                      _groupPrivacyButtons(),
                      const SizedBox(height: 24),
                      _aboutTheGroupTextField(),
                    ],
                  ),
                  const Spacer(),
                  _bottomButton()
                ],
              ),
            ),
          ),
        ),
      );
}
