part of kitcod_uikit_flutter;

class Groups extends StatelessWidget {
  const Groups({
    required this.headerView,
    required this.groupsList,
    required this.feedPostsArray,
    required this.feedGroupsArray,
    required this.profileDetailsArray,
    this.groupCardTitleStyle,
    this.groupCardMembersStyle,
    this.groupCardButtonColor,
    this.groupCardButtonStyle,
    this.groupPageTitleStyle,
    this.groupPageMembersStyle,
    this.groupPageStatusStyle,
    this.groupPageAboutStyle,
    final Key? key,
  }) : super(key: key);
  // -------------------------------- VARIABLES -------------------------------- //

  final HeaderView headerView;
  final List<FeedGroup> groupsList;
  final TextStyle? groupCardTitleStyle;
  final TextStyle? groupCardMembersStyle;
  final TextStyle? groupCardButtonStyle;
  final Color? groupCardButtonColor;
  final TextStyle? groupPageTitleStyle;
  final TextStyle? groupPageMembersStyle;
  final TextStyle? groupPageStatusStyle;
  final TextStyle? groupPageAboutStyle;
  final List<FeedPost> feedPostsArray;
  final List<FeedGroup> feedGroupsArray;
  final List<ProfileProperties> profileDetailsArray;

  // -------------------------------- UI FUNCTIONS -------------------------------- //

  Container _headerWidget(final BuildContext context) => Container(
        padding: const EdgeInsets.all(10),
        child: Column(
          children: [
            for (FeedGroup groupItem in groupsList)
              Padding(
                padding: const EdgeInsets.all(5),
                child: GroupCards(
                  feedGroupsArray: feedGroupsArray,
                  feedPostsArray: feedPostsArray,
                  profileDetailsArray: profileDetailsArray,
                  groupImageUrl: groupItem.groupImageUrl,
                  groupTitle: groupItem.groupTitle,
                  members: groupItem.members,
                  membersListUrl: groupItem.membersImageUrls,
                  groupPageAbout: groupItem.groupAbout!,
                  groupPosts: groupItem.groupPosts!,
                  groupPageStatus: groupItem.groupStatus!,
                  isJoined: groupItem.isJoined!,
                  groupCardButtonColor: groupCardButtonColor,
                  groupCardButtonStyle: groupCardButtonStyle,
                  groupCardTitleStyle: groupCardTitleStyle,
                  groupCardMembersStyle: groupCardMembersStyle,
                  groupPageAboutStyle: groupPageAboutStyle,
                  groupPageStatusStyle: groupPageStatusStyle,
                  groupPageTitleStyle: groupPageTitleStyle,
                  groupPageMembersStyle: groupPageMembersStyle,
                ),
              )
          ],
        ),
      );

  // -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Widget build(final context) => Scaffold(
        appBar: headerView,
        body: SingleChildScrollView(
          child: Column(children: [
            _headerWidget(context),
          ]),
        ),
      );
}
